Projects

Update Project

PATCH
/v0/project/{id}

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v0/project/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "allowedHostnames": [
    "string"
  ],
  "errorTrackingEnabled": true,
  "webVitalsEnabled": true,
  "sessionReplaysEnabled": true,
  "cookielessMode": true,
  "searchConsoleSiteUrl": "string",
  "token": "string",
  "slug": "string",
  "private": true,
  "templateId": "string",
  "preferredChartColors": [
    "string"
  ],
  "codeContextConfig": {
    "enabled": true,
    "codebergApiUrl": "string",
    "repository": "string",
    "ref": "string",
    "mappings": [
      {
        "id": "string",
        "provider": "github",
        "javaPrefix": "string",
        "repository": "string",
        "ref": "string",
        "pathPattern": "string"
      }
    ]
  },
  "createdAt": "string",
  "firstEventAt": "string",
  "ownerId": "string",
  "owner": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "image": "string",
    "type": "user",
    "createdAt": "string"
  }
}
{
  "_tag": "ProjectValidationError",
  "message": "string"
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}
{
  "_tag": "ProjectConflictError",
  "message": "string"
}